Name:		hatari
Version:	1.9.0
Release:	%mkrel 1
Summary:	An Atari ST emulator
License:	GPLv2+
Group:		Emulators
URL:		http://hatari.tuxfamily.org/
Source0:	http://download.tuxfamily.org/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		hatari-1.9.0-mga-i18n+fix-desktop-file.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	readline-devel

# Required by zip2st and atari-hd-image
Requires:	unzip
Requires:	mtools
Requires:	dosfstools

%description
Hatari is an Atari ST and STE emulator.

The Atari ST was a 16/32 bit computer system which was first released by
Atari in 1985. Using the Motorola 68000 CPU, it was a very popular computer
having quite a lot of CPU power at that time. Unlike many other Atari ST
emulators which try to give you a good environment for running GEM
applications, Hatari tries to emulate the hardware of a ST as close as
possible so that it is able to run most of the old ST games and demos.


%prep
%setup -q
%autopatch -p1

# fix file-not-utf8
iconv -f iso8859-1 -t utf-8 doc/changelog.txt > doc/changelog.txt.conv && mv -f doc/changelog.txt.conv doc/changelog.txt

%build
%cmake \
	-DCMAKE_VERBOSE_MAKEFILE=TRUE \
	-DCMAKE_BUILD_TYPE:STRING=None \
	-DDOCDIR:PATH=%{_docdir}/%{name}-%{version} \
	-DBUILD_SHARED_LIBS:BOOL=OFF  ..

%make


%install
%makeinstall_std -C build

# fr man pages
install -d -m 755 %{buildroot}/%{_mandir}/fr/man1
install -m 644 doc/fr/%{name}.1 %{buildroot}/%{_mandir}/fr/man1

# appdata file
mkdir -p %{buildroot}%{_datadir}/appdata
cat > %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
EmailAddress: hatari-devel@lists.tuxfamily.org
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">hatari.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Atari emulator</summary>
  <description>
    <p>
      Hatari is an emulator that emulates Atari ST, Atari STE, Atari TT and Atari Falcon
      devices.
      It has the ability to emulate the joystick with input from either the host's
      keyboard or joystick.
    </p>
  </description>
  <url type="homepage">http://hatari.tuxfamily.org/</url>
  <screenshots>
    <screenshot type="default">http://hatari.tuxfamily.org/screens/features/deskhigh.png</screenshot>
  </screenshots>
</application>
EOF

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc readme.txt doc/changelog.txt doc/fr/clavier-exemple.txt
%doc tools/hmsa/readme-hmsa.txt
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/mimetypes/*.svg
%{_mandir}/man1/*.1*


%changelog
* Fri Sep 11 2015 daviddavid <daviddavid> 1.9.0-1.mga5
+ Revision: 876967
- new version: 1.9.0 (mga#15867)
- update URL and Source URL
- patch0: fix desktop file + french translation
- add some requires on unzip, mtools and dosfstools
- fix file-not-utf8
- add from fedora an AppData file for the software center
- use %%find_lang %%{name} --with-man macro
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-4.mga5
+ Revision: 744350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-3.mga5
+ Revision: 680086
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.7.0-2.mga4
+ Revision: 538667
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 bersuit <bersuit> 1.7.0-1.mga4
+ Revision: 490162
- Update to new upstream version 1.7.0

* Mon Jun 03 2013 fwang <fwang> 1.6.2-3.mga4
+ Revision: 435957
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.6.2-2.mga3
+ Revision: 353115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 bersuit <bersuit> 1.6.2-1.mga3
+ Revision: 314267
- updated to upstream 1.6.2

  + malo <malo>
    - fixing desktop file

* Mon Oct 31 2011 dmorgan <dmorgan> 1.5.0-1.mga2
+ Revision: 160239
- imported package hatari


* Fri Jul 29 2011 Andrey Bondrov <abondrov@mandriva.org> 1.5.0-1mdv2012.0
+ Revision: 692294
- Fix BuildRequires
- Fix BuildRequires
- imported package hatari


* Sun Jul 24 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 1.5.0-1mdv2011.0
- 1.5.0
- Import from PLF
- Remove PLF reference

* Thu Dec  2 2010 Guillaume Bedot <littletux@zarb.org> 1.4.0-1plf2011.0
- 1.4.0
- fix build reqs, update patch, files list...

* Sat Sep  5 2009 Guillaume Bedot <littletux@zarb.org> 1.3.1-1plf2010.0
- Release 1.3.1
- Drop string-literal patch
- Add hatariui, new menu item and more doc and tools

* Mon Jan 26 2009 Guillaume Bedot <littletux@zarb.org> 1.2.0-1plf2009.1
- Release 1.2.0
- Fix menu tip
- Add zip2st

* Tue Jan  6 2009 Guillaume Bedot <littletux@zarb.org> 1.1.0-2plf2009.1
- Fix build for cooker

* Tue Jan  6 2009 Guillaume Bedot <littletux@zarb.org> 1.1.0-1plf2009.1
- New release 1.1.0

* Thu Apr 17 2008 Guillaume Bedot <littletux@zarb.org> 1.0.1-1plf2008.1
- 1.0.1

* Wed Mar 19 2008 Guillaume Bedot <littletux@zarb.org> 1.0.0-2plf2008.1
- fix 2007.1 build

* Tue Mar 18 2008 Guillaume Bedot <littletux@zarb.org> 1.0.0-1plf2008.1
- Release 1.0.0, build fixes, icon comment

* Mon May 14 2007 Guillaume Bedot <littletux@zarb.org> 0.95-1plf2008.0
- First PLF package

